Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007610TestLinkEvent viewerpublic2016-06-24 09:542016-09-08 15:12
Reporterbankorga@aab.de 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSRed HatOS Version4.4.7-16
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007610: many warnings in event log while test execution
DescriptionA lot of warning appear while test execution in event log.
details please see attached file.

Are these warnings critical?

What impact have they for use of TestLink?

Is it possible/ allowed to disable them? How this can be done?
Steps To Reproduce1. Go to execute tests
2. View a test case
3. Update executed test case
4. Go to event viewer and look at warnings section.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP Version5.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon e_notice.png [^] (102,891 bytes) 2016-06-24 09:54


? file icon logger.class.php [^] (39,570 bytes) 2016-06-29 08:11

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0025015)
fman (administrator)
2016-06-25 15:34

These warnings have not impact anyway I'm going to try to fix them
(0025029)
bankorga@aab.de (reporter)
2016-06-27 09:28

Where / How in TestLink can e_notice be switched off?
Changes in php.ini ...

"error_reporting = E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT"

... unfortunately have no effect.Thanks
(0025034)
fman (administrator)
2016-06-27 15:27

I'm going to check
(0025045)
fman (administrator)
2016-06-28 20:22

Please apply changes present in these commits, retest & provide feedback


https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/3b4ead8e1d64cc46114f94588bfad913be321f94 [^]

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2a3194fe1d96e457df805472c5d8771043d06045 [^]
(0025049)
bankorga@aab.de (reporter)
2016-06-29 08:10
edited on: 2016-06-29 08:57

after replacing of "logger.class.php" (see attched file) I get a white page during login.

Is these an syntax error in this file or have i done a mistake?
Is new version of "logger.class.php" compatible to TL Version 1.9.14?

(0025051)
bankorga@aab.de (reporter)
2016-06-29 15:45

I discovered there was further changes at "lib/functions/logger.class.php". they were checked in under "https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2a3194fe1d96e457df805472c5d8771043d06045". [^] After downloading and replacing I'm getting no warnings. I would like to observe it till end of this week. Next week I'll give you a finale message.
(0025061)
bankorga@aab.de (reporter)
2016-07-01 09:11

everything is ok. this ticket can be closed. thank you
(0025062)
fman (administrator)
2016-07-01 09:12

Great!
(0025221)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-06-24 09:54 bankorga@aab.de New Issue
2016-06-24 09:54 bankorga@aab.de File Added: e_notice.png
2016-06-25 15:33 fman QA Team - Task Workflow Status => TBD
2016-06-25 15:33 fman View Status private => public
2016-06-25 15:34 fman Note Added: 0025015
2016-06-27 09:28 bankorga@aab.de Note Added: 0025029
2016-06-27 15:27 fman Note Added: 0025034
2016-06-28 20:22 fman Note Added: 0025045
2016-06-28 20:23 fman Assigned To => fman
2016-06-28 20:23 fman Status new => feedback
2016-06-28 20:23 fman Relationship added child of 0007262
2016-06-29 08:10 bankorga@aab.de Note Added: 0025049
2016-06-29 08:10 bankorga@aab.de Status feedback => assigned
2016-06-29 08:11 bankorga@aab.de File Added: logger.class.php
2016-06-29 08:57 bankorga@aab.de Note Edited: 0025049 View Revisions
2016-06-29 15:45 bankorga@aab.de Note Added: 0025051
2016-07-01 09:11 bankorga@aab.de Note Added: 0025061
2016-07-01 09:12 fman Note Added: 0025062
2016-07-01 09:12 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-07-01 09:12 fman Status assigned => resolved
2016-07-01 09:12 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-07-01 09:12 fman Resolution open => fixed
2016-09-08 15:12 fman Note Added: 0025221
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker